// $Id: RandomEngine.inl,v 1.1.1.1 2000/04/03 21:03:46 wilko Exp $
// -*- C++ -*-
// 
// -----------------------------------------------------------------------
//                             HEP Random
//                       --- HepRandomEngine ---
//                 inlined functions implementation file
// -----------------------------------------------------------------------
// This file is part of Geant4 (simulation toolkit for HEP).

// =======================================================================
// Gabriele Cosmo - Created: 5th September 1995
//                - Added == and != operators: 19th November 1996
//                - Moved seeds table to HepRandom: 19th March 1998
// =======================================================================

inline HepBoolean HepRandomEngine::operator==(const HepRandomEngine& engine) {
  return (this==&engine) ? true : false;
}

inline HepBoolean HepRandomEngine::operator!=(const HepRandomEngine& engine) {
  return (this!=&engine) ? true : false;
}
