#include "Event/cutSelection.h"
#include "Event/selectionManager.h"
#include "Event/messageManager.h"

//#####################################
void cutSelection::defineOption()
//#####################################
{
	optionVI::defineOption("addCut",&m_cutName);
}
//#####################################
void cutSelection::setOption(std::string var, std::string content)
//#####################################
{
	optionVI::setOption(var,content);
	if (var == "addCut") {
		cutVI* cut = selectionManager::instance()->getCut(content);
		if (cut==0) return;
		add(content,cut);
		message(" cut "+ content+ " added to the cutSelection "+ name(),"RELEASE");
	}
}
//#####################################
void cutSelection::writeOut() const
//#####################################
{
	if (!acceptLevel()) return;
	serviceI::writeOut();

	std::ostream& out = messageManager::instance()->out();

	out << " ** cuts in cutSelection : "+name()+" ** " << "\n";
	out << nameList();
}
