#include "Event/dataEventServer.h"
#include "Event/messageManager.h"

//#################################
dataEventServer::dataEventServer()
//#################################
{
	m_server = new serverVI<trsDataVI>();

	setName("dataEventServer");
}
//#################################
void dataEventServer::addData(std::string name, trsDataVI* data)
//#################################
{
	if (!m_server->search(name)) m_server->add(name,data);
	else messageManager::instance()->message(" event transient data already in server "+name);
}
//#################################
void dataEventServer::update(std::string name)
//#################################
{
	if (m_server->search(name)) m_server->get(name)->update();
}
//#################################
trsDataVI* dataEventServer::getTrsData(std::string name) const
//#################################
{
	trsDataVI* data = m_server->get(name);
	if (data !=0 )  return data; 
	messageManager::instance()->
		message(" dataEventServer : not trsData found named "+name,"GENERAL");
	return 0;
}
//#################################
void dataEventServer::writeOut() const
//#################################
{
	if (m_server->size() == 0) return;
	if (!acceptLevel()) return;
	std::ostream& out = messageManager::instance()->out();
	messageVI::writeOut();
	out << " -- transient event data in server -- " << "\n";
	out << m_server->nameList();
}
//#################################
dataEventServer::~dataEventServer()
//#################################
{
	
}
