#ifndef nameVI_h
#define nameVI_h

#include <string>

//! bare class to set and store the name of an object

//##############################
class nameVI
//##############################
{
protected:
	
	//! constructor - set the name
	nameVI(std::string name =""):m_name(name) {}
	//! default destructor
	~nameVI(){}

	//! returns the name
	virtual std::string name() const {return m_name;}

	//! set the name
	virtual void setName(std::string name) {m_name = name;}

private:

	//! the name of the object
	std::string m_name;
};
#endif