
#include "Event/optionManager.h"
#include "Event/messageManager.h"

optionManager* optionManager::m_instance = 0;

//############################################
optionManager::optionManager()
//############################################
{
	if (m_instance != 0) return;
	
	m_optionFileName = "centella.in";
	
	m_instance = this;

	/*! add itself to the optionManager. The messageManager is constructed
	later, therefore we can not include optionManager in the server of
	messageManager yet */
	optionVI::setName("optionManager");

}
//########################################
void optionManager::setOption(int argc, char* argv[])
//########################################
{
	if (argc<=1) return;
	/*! The first argument of the main C arg is the name of the input file*/ 
	std::string name = argv[1];
	optionServer::setOption("optionManager","optionFileName",name);
}
//########################################
void optionManager::defineOption()
//########################################
{
	optionVI::defineOption("optionFileName",&m_optionFileName);
}
