
#include "Event/userAlgorithms.h"

#include "reconstruction/comReadEventFiles.h"
#include "reconstruction/comOpenRawTree.h"
	
//####################################
userAlgorithms::userAlgorithms()
//####################################
{
	/*! get the processManager */
	processManager* pM = processManager::instance();

	pM->addAlgorithm("comReadEventFiles", new comReadEventFiles());
	pM->addAlgorithm("comOpenRawTree", new comOpenRawTree());
}