#ifndef hFolderCsiCluster_h
#define hFolderCsiCluster_h

#include "Event/rHistoFolder.h"
#include "reconstruction/CsiCluster.h"
#include "reconstruction/BeamTagger.h"

//! Histograms for the Silicon clusters
/*!
It is a rHistoFolder user implementation
*/
//#############################
class hFolderCsiCluster: public rHistoFolder
//#############################
{
public:

	//! default constructor
	hFolderCsiCluster() {m_cluster = 0;m_tagger = 0;};
	//! default destructor
	~hFolderCsiCluster();

	//! define the si clusters histograms
	virtual void define();
	//! fill the si clusters histograms
	virtual void fill();

private:

	csiCluster* m_cluster;
	BeamTagger* m_tagger;
};
#endif