#ifndef hFolderSirClusterList_h
#define hFolderSirClusterList_h

#include "Event/rHistoFolder.h"
#include "reconstruction/sirClusterList.h"
//###################################
 //edited for cluster vs tracks

#include "Event/rHistoFolder.h"
#include "reconstruction/sirTrackList.h"
//################################

//! Histograms for the Silicon clusters
/*!
It is a rHistoFolder user implementation
*/
//###############################
class hFolderSirClusterList : public rHistoFolder
//###############################
{
public:

	//! default constructor
	hFolderSirClusterList() {m_clusters = 0;m_ctracks = 0;}; //edited for cluster vs tracks

	//! default destructor
	~hFolderSirClusterList();

	//! define the si clusters histograms
	virtual void define();
	//! fill the si clusters histograms
	virtual void fill();

private:

	sirClusterList* m_clusters;


	sirTrackList* m_ctracks; //edited for cluster vs tracks
};
#endif