#ifndef hFolderTowGamma_h
#define hFolderTowGamma_h

#include "Event/rHistoFolder.h"
#include "reconstruction/towGamma.h"

//! Histograms for the Silicon clusters
/*!
It is a rHistoFolder user implementation
*/
//#############################
class hFolderTowGamma: public rHistoFolder
//#############################
{
public:

	//! default constructor
	hFolderTowGamma() {m_gamma = 0;};
	//! default destructor
	~hFolderTowGamma();

	//! define the si clusters histograms
	virtual void define();
	//! fill the si clusters histograms
	virtual void fill();

private:

	towGamma* m_gamma;
};
#endif