#include "RootTree/rhistoAnaServer.h"

#include "RootTree/hFolderSirClusterList.h"
#include "RootTree/hFolderSirTrackList.h"
#include "RootTree/hFolderCsiCluster.h"
#include "RootTree/hFolderTowGamma.h"
#include "RootTree/hFolderSiToT.h"

//###############################
void rHistoAnaServer::defineHistoFolders()
//###############################
{
	/*! add sirClusterList histograms/ntuples */
	addHistoFolder("hFolderSirClusterList", new hFolderSirClusterList());

	/*! add sirTrackList histograms/ntuples */
	addHistoFolder("hFolderSirTrackList",   new hFolderSirTrackList());

	/*! add csiCluster histograms */
	addHistoFolder("hFolderCsiCluster", new hFolderCsiCluster());

	/*! add towGamma histograms */
	addHistoFolder("hFolderTowGamma", new hFolderTowGamma());

	/*! add SiToT histograms */
	addHistoFolder("hFolderSiToT", new hFolderSiToT());

	/*! make algorithms with the \c fill() method of the rHistoFolder */
	makeAlgorithms();
}