#include "rTreeReconServer.h"

#include "RootTree/TkrSiCluster.h"
#include "RootTree/TkrTrack.h"
#include "RootTree/TkrRecon.h"
#include "RootTree/Recon.h"

#include "RootTree/TkrTrack.h"
#include "RootTree/TkrLocator.h"
#include "RootTree/TkrGamma.h"
#include "RootTree/TkrHit.h"

#include "TFile.h"
#include "TTree.h"

#include "RootTree/rTreeReconServer.h"
#include "Event/messageManager.h"

#include "RootTree/convSirClusterList.h"
#include "RootTree/convSirTrackList.h"
#include "RootTree/convCsiCluster.h"
#include "RootTree/convEventID.h"

//#######################################
void rTreeReconServer::defineConverters()
//#######################################
{
	/*! add the converter to sirClusterList*/
	addConverter("sirClusterList",new convSirClusterList());
	/*! add the converter to sirTrackList */
	addConverter("sirTrackList",new convSirTrackList());
	/*! add the converter to csiCluster */
	addConverter("csiCluster", new convCsiCluster());
	/*! add the converter to eventID */
	addConverter("reconEventID", new convEventID());

	makeAlgorithms();
}
