#ifndef cutEvtScan_H
#define cutEvtScan_H

#include "Event/serviceI.h"
#include "Event/cutVI.h"

#include <vector>

//####################################
class cutEvtScan : public cutVI, public serviceI
//####################################
{
public:

	//construct
	cutEvtScan();
	~cutEvtScan(){}

	//! define the options
	virtual void defineOption();
	//! set the option - icorporate evtID in the list
	virtual void setOption(std::string varname, int varcontent); // overwriten

	// access
	int num()        const {return m_evtIDList.size();}
	int evtID(int i) const {return (i<num()?m_evtIDList[i]:0);}

	// operations
	virtual bool apply();

private:

	std::vector<int> m_evtIDList;

	//! Last event ID in the list
	int m_evtID;
};
#endif
