#ifndef cutTkrFlag_h
#define cutTkrFlag_h

#include "Event/cutVI.h"
#include "reconstruction/sirTrackList.h"
#include "Event/defineVI.h"

//####################
class cutTkrFlag : public cutVI, public defineVI 
//####################
{
public:

	//construct
	cutTkrFlag() {};
	~cutTkrFlag(){}

	//! returns true if there are tracks reconstructed in the event
	virtual bool apply();

protected:

	//! get the pointer to sirTrackList
	virtual void define();

private:

	sirTrackList* m_tracks;

};
#endif