#include "reconstruction/sirBase.h"

double sirBase::m_minEnergy = 0.03; // GeV
int sirBase::m_numViews     = 2;
int sirBase::m_numPlanes    = 16;
int sirBase::m_numTowers    = 1;

//###################################################
sirBase::VIEW sirBase::intToView(int iv)
//###################################################
{
	sirBase::VIEW v = XY;
	if (iv == 0) v = X;
	else if (iv == 1) v =Y;
	return v;
}

//###################################################
int sirBase::viewToInt(sirBase::VIEW v)
//###################################################
{
	if (v == sirBase::XY) return 2;
	return (v == sirBase::X? 0:1);
}