#include "reconstruction/sirTrack.h"

//################################
void sirTrack::addHit(sirHit* hit)
//################################
{
	/*! check in which position the hit should be included in the list*/
	m_hits.push_back(hit);
}
//################################
void sirTrack::addHit(sirCluster* cluster)
//################################
{
	/*! create a sirHit and add it into the list*/
	sirHit* hit = new sirHit(cluster);
	addHit(hit);
}
//################################
void sirTrack::clear()
//################################
{
	/*! delete all the hits - note that the hit does not delete the cluster*/
	for (int ihit=0; ihit<m_hits.size(); ihit++) delete m_hits[ihit];
	m_hits.clear();
}
