// $Id: RandStudentT.inl,v 1.1.1.1 2000/04/03 21:03:46 wilko Exp $
// -*- C++ -*-
// 
// -----------------------------------------------------------------------
//                             HEP Random
//                        --- RandStudentT ---
//                 inlined functions implementation file
// -----------------------------------------------------------------------
 
// =======================================================================
// Gabriele Cosmo - Created: 19th August 1998
// =======================================================================

inline RandStudentT::RandStudentT(HepRandomEngine & anEngine, HepDouble a)
: localEngine(&anEngine), deleteEngine(false), defaultA(a)
  {}

inline RandStudentT::RandStudentT(HepRandomEngine * anEngine, HepDouble a)
: localEngine(anEngine), deleteEngine(true), defaultA(a)
  {}

inline HepDouble RandStudentT::fire() {
  return fire( defaultA );
}

inline HepDouble RandStudentT::shoot() {
  return shoot( 1.0 );
}

inline HepDouble RandStudentT::shoot( HepRandomEngine* anEngine )
{
  return shoot( anEngine, 1.0 );
}
