#ifndef IOfileNull_h
#define IOfileNull_h

#include "Event/IOfileVI.h"

//-------------------------------
//! null IOfileVI
/*!
\e IOfileNull is a null IOfileVI. The open, close functions have no effect.
*/
//-------------------------------
// JA Hernando, Santa Cruz, CA, 06/16/00
//-------------------------------
//##############################
class IOfileNull : public IOfileVI
//##############################
{
public:

	//! default constructor
	IOfileNull() {}
	//! default destructor
	~IOfileNull() {}

	//! null open
	virtual void open() {}
	//! null close
	virtual void close() {}
};
#endif