#ifndef convCsiCluster_h
#define convCsiCluster_h

#include "Event/converterVI.h"
#include "Event/defineVI.h"

#include "RootTree/Recon.h"
#include "reconstruction/csiCluster.h"


//---------------------------
//! converter: from Recon to csiCluster
//---------------------------
// JA Hernando, Santa Cruz, CA, 16/06/00
//---------------------------

//###########################
class convCsiCluster : public converterVI, public defineVI
//###########################
{
public:

	//! default constructor
	convCsiCluster(){m_recon=0;m_csiCluster=0;}
	//! default destructor
	~convCsiCluster(){}

	//! convert from Recon to sirTrackList
	virtual void load();
	//! null conversion from sirTrackList to Recon
	virtual void save() {}

private:

	//! define the pointers
	virtual void define();

private:

	//! pointer to Recon
	Recon* m_recon;
	//! pointer to CalCluster
	csiCluster* m_csiCluster;
};
#endif