#ifndef histoFolderFillAlg_h
#define histoFolderFillAlg_h

#include "Event/algorithmVI.h"

#include <string>

//###########################
class histoFolderFillAlg : public algorithmVI
//###########################
{
public:

	/// this Algorithm fill the histograms/ntuples contained in a given "rHistoFolder"
	/// The HistoFolder is selected according to the "name" stored in this algorithm
	histoFolderFillAlg(std::string name):m_name(name) {};
	~histoFolderFillAlg(){};

	// access
	/// returns the name of the rHistoFolder to be filled
	std::string name() const {return m_name;}

	// operations
	virtual void initialize() {};
	virtual void execute();
	virtual void finalize(){};

private:

	std::string m_name;
};
#endif
