
#include "reconstruction/comReadEventFiles.h"

#include "Event/dataManager.h"
#include "Event/processManager.h"
#include "Event/dataDetectorServer.h"
#include "Event/IOfileServer.h"
#include "Event/optionManager.h"
#include "Event/messageManager.h"

//##################################
void comReadEventFiles::execute()
//##################################
{
	// read an event (or skip)
	if (!defined()) define();

	dataManager::instance()->IO()->readEvent();

//	m_loadreconEventID->run();

	if (m_inputRaw) {m_inputRaw->readEvent();}
	  
//	m_loadreconEventID->run();
//	int reconID = m_reconEventID->id();
//	int rawID = m_rawEventID->id();
//	while( rawID != reconID) {
//		m_inputRaw->readEvent();
//		m_loadrawEventID->run();
//		rawID = m_rawEventID->id();
//	}

}
//##################################
void comReadEventFiles::define()
//##################################
{
	// read an event (or skip)
	if (defined()) return;

	m_input    = dataManager::instance()->IO()->getIOfile("input");
	m_inputRaw = dataManager::instance()->IO()->getIOfile("inputRaw");

	m_reconEventID = dataManager::instance()->getData("reconEventID",m_reconEventID);
//	m_rawEventID = dataManager::instance()->getData("rawEventID",m_rawEventID);

	m_loadreconEventID = processManager::instance()->getAlgorithm("loadreconEventID");
//	m_loadrawEventID   = processManager::instance()->getAlgorithm("loadrawEventID");

	setDefine(true);
}