
#ifndef comReadEventFiles_h
#define comReadEventFiles_h

#include "Event/algorithmCommand.h"
#include "Event/defineVI.h"
#include "Event/IOfileVI.h"
#include "Event/algorithmVI.h"
#include "reconstruction/eventID.h"

//! algorithmCommand to load/read the event
//########################
class comReadEventFiles : public algorithmCommand, public defineVI
//########################
{
public:

	virtual void execute();

private:

	virtual void define();

	IOfileVI* m_input;
	IOfileVI* m_inputRaw;
	
	algorithmVI* m_loadreconEventID;
//	algorithmVI* m_loadrawEventID;

	eventID* m_reconEventID;
//	eventID* m_rawEventID;

};

#endif