#include "reconstruction/cutEne.h"
#include "Event/dataManager.h"
//##############################
cutEne::cutEne()
//##############################
{
	setName("cutEne");
	m_minEne = 0;
	m_maxEne = 100000;
}
//##############################
//##############################
void cutEne::define()
//##############################
{
	if (defined()) return;
	m_cluster = dataManager::instance()->getData("csiCluster",m_cluster);
	setDefine(true);
}
//##############################
bool cutEne::apply()
//##############################
{
	if (!defined()) define();
	return (m_cluster->eneSum() >= m_minEne && m_cluster->eneSum() < m_maxEne);

}
//##############################
void cutEne::defineOption()
//##############################
{
	optionVI::defineOption("minEne",&m_minEne);
	optionVI::defineOption("maxEne",&m_maxEne);
}
