#include "reconstruction/cutTkrFlag.h"
#include "Event/dataManager.h"

//##############################
void cutTkrFlag::define()
//##############################
{
	if (defined()) return;
	m_tracks = dataManager::instance()->getData("sirTrackList",m_tracks);
	setDefine(true);
}
//##############################
bool cutTkrFlag::apply()
//##############################
{
	if (!defined()) define();

	return (m_tracks->numTracks()>0);

}