#ifndef cutZpos_h
#define cutZpos_h

#include "Event/cutVI.h"
#include "reconstruction/sirTrackList.h"
#include "Event/defineVI.h"
#include "Event/serviceI.h"


//####################
class cutZpos : public cutVI, public defineVI, public serviceI 
//####################
{
public:

	//construct
	cutZpos();
	~cutZpos(){}

		//! returns true if position is within defined range
	virtual bool apply();

	//! define the parameters
	void defineOption();

protected:

	
	virtual void define();

private:

	sirTrackList* m_tracks;

	Float_t m_zpos;
	double m_minZ;
	double m_maxZ;

};
#endif