#ifndef cutplane_h
#define cutplane_h

#include "Event/cutVI.h"
#include "reconstruction/sirTrackList.h"
#include "Event/defineVI.h"
#include "Event/serviceI.h"


//####################
class cutplane : public cutVI, public defineVI, public serviceI 
//####################
{
public:

	//construct
	cutplane();
	~cutplane(){}

		//! returns false if position is within defined range
	virtual bool apply();

	//! define the parameters
	void defineOption();

protected:

	
	virtual void define();

private:

	sirTrackList* m_tracks;

	Float_t m_plane;
	double m_minplane;
	double m_maxplane;

};
#endif