#ifndef eventID_h
#define eventID_h

#include "Event/trsDataVI.h"

//#############################
class eventID: public trsDataVI
//#############################
{
public:

	//! constructor
	eventID() {ini();}
	//! destructor
	~eventID() {}

	//! clear the variables
	void clear() {m_eventID=-1;m_runID=-1;m_tkrflag = true; m_calflag = true;}
	//! null make
	void make() {};

	//! set the event ID
	void setEventID(int ievt) {m_eventID = ievt;}
	//! set the run ID
	void setRunID(int irun)   {m_runID = irun;}

	//! set tkr okay flag
	void setTkrOk(int tkrflag) {m_tkrflag = tkrflag;}
	//! set cal Okay flag
	void setCalOk(int calflag) {m_calflag = calflag;}



	//! Check tkr flag
	bool getTkrOk() {return m_tkrflag;}
	//! Check Call Flag
	bool getCalOk() {return m_calflag;}

	//! returns the event ID
	int id() const {return m_eventID;}
	//! return the run ID
	int runID() const {return m_runID;}

private:

	//! ini the variables
	void ini() {clear();}

private:

	//! event ID
	int m_eventID;
	//! run ID
	int m_runID;
	//! Tkr flag
	bool m_tkrflag;
	//! Cal Flag
	bool m_calflag;

};
#endif