#ifndef sirData_h
#define sirData_h

#include "reconstruction/sirID.h"
#include "reconstruction/sirQuality.h"
#include "reconstruction/sirLocator.h"

//! Its the base class for SiReconstructed classes
/*! This base class is made of the following classes:
<ul>
<li> A sirID with the ID of the class
<li> A sirQuality with the quality of the object in the fit
<li> A sirLocator with the fitted results of the object
</ul>
*/
//#####################################
class sirData: public sirID, public sirQuality, public sirLocator
//#####################################
{
public:

	//! default constructor
	sirData() {}
	//! defualt destructor
	~sirData() {}
}
#endif