#include "reconstruction/sirGamma.h"

//######################################
sirTrack* sirGamma::getTrack(sirBase::VIEW v, int itrack) const
//######################################
{
	if (itrack <0 || itrack > numTracks(v)) return 0;
	int jtrack = -1;
	for (int ktrack = 0; ktrack < numTracks(); ktrack++) {
		if (getTrack(ktrack)->getView() == v ) {
			jtrack++;
			if (jtrack == itrack) return getTrack(ktrack);
		}
	}
	return 0;
}
//######################################
int sirGamma::numTracks(sirBase::VIEW v) const
//######################################
{
	int ntracks = 0;
	for (int ktrack = 0; ktrack < numTracks(); ktrack++) {
		if (getTrack(ktrack)->getView() == v ) ntracks++;
	}
	return ntracks;
}