#include "reconstruction/sirLocatorID.h"

//#######################################
double sirLocatorID::location() const
//#######################################
{
	if (getView() == sirBase::X) return X();
	else if (getView() == sirBase::Y) return Y();
	return 0;
};
//#######################################
double sirLocatorID::slope() const
//#######################################
{
	if (getView() == sirBase::X) return slopeX();
	else if (getView() == sirBase::Y) return slopeY();
	return 0.;
};
//#######################################
double sirLocatorID::sigmaLocation() const
//#######################################
{	
	if (getView() == sirBase::X) return sigmaX();
	else if (getView() == sirBase::Y) return sigmaY();
	return 0.;
};
//#######################################
double sirLocatorID::sigmaSlope() const
//#######################################
{	
	if (getView() == sirBase::X) return sigmaXslope();
	else if (getView() == sirBase::Y) return sigmaYslope();
	return 0.;
};
//#######################################
double sirLocatorID::sigmaCov() const
//#######################################
{	
	if (getView() == sirBase::X) return sigmaXcov();
	else if (getView() == sirBase::Y) return sigmaYcov();
	return 0.;
};
