#ifndef userCuts_h
#define userCuts_h

//---------------------------------------
//! Class left to the user to create his/her cuts and add them to the selectionManager
/*! 
\c userCuts should be implemented by the USER
<ul>
	<li> The user cuts should be created in the constructor of this class. <br>
	<li> The user cuts should be added into the selectionManager in the constructor
	of this class. For that use the method \c addCut() of the selectionManager. <br>
	<li> All the user cuts should inherit from cutVI.
	<li> See centellaCuts for reference.
</ul>
*/
//----------------------------
// JA Hernando, Santa Cruz, CA, 06/15/00
//----------------------------
//##############################
class userCuts
//##############################
{
public:
	//! contructors - creates the user defined cut and adds them into the selectionManager.
	/*! see centellaCuts as reference */
	userCuts(){};
	//! destructor - destroies the cuts
	~userCuts(){};
};
#endif